Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JMSDurableSubscriberRuntimeMBean

public interface JMSDurableSubscriberRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS durable subscriber.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getBytesCurrentCount()` Returns the number of bytes received by this durable subscriber.
`long` | `getBytesPendingCount()` Returns the number of bytes pending by this durable subscriber.
`java.lang.String` | `getClientID()` Returns the client ID for this durable subscriber.
`long` | `getMessagesCurrentCount()` Returns the number of messages still available by this durable subscriber.
`long` | `getMessagesPendingCount()` Returns the number of messages pending (uncommitted and unacknowledged) by this durable subscriber.
`java.lang.String` | `getSelector()` Returns the selector for this durable subscriber.
`java.lang.String` | `getSubscriptionName()` Returns the subscription name for this durable subscriber.
`boolean` | `isActive()` Determines whether this subscription is being used by a durable subscriber.
`boolean` | `isNoLocal()` Returns the noLocal Boolean for this durable subscriber.
`void` | `purge()` Purges all the pending and current messages for this durable subscriber.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getClientID

    public java.lang.String getClientID()

  Returns the client ID for this durable subscriber.

  Returns:
    The clientID value

### getSubscriptionName

    public java.lang.String getSubscriptionName()

  Returns the subscription name for this durable subscriber.

  Returns:
    The subscriptionName value

### isNoLocal

    public boolean isNoLocal()

  Returns the noLocal Boolean for this durable subscriber.

  Returns:
    The noLocal value

### isActive

    public boolean isActive()
                     throws java.rmi.RemoteException

  Determines whether this subscription is being used by a durable subscriber.

  Returns:
    The active value
  Throws:
    java.rmi.RemoteException -

### getSelector

    public java.lang.String getSelector()

  Returns the selector for this durable subscriber.

  Returns:
    The selector value

### getMessagesPendingCount

    public long getMessagesPendingCount()

  Returns the number of messages pending (uncommitted and unacknowledged) by this durable subscriber.

  Returns:
    The messagesPendingCount value

### getMessagesCurrentCount

    public long getMessagesCurrentCount()

  Returns the number of messages still available by this durable subscriber.

  Returns:
    The messagesCurrentCount value

### getBytesPendingCount

    public long getBytesPendingCount()

  Returns the number of bytes pending by this durable subscriber.

  Returns:
    The bytesPendingCount value

### getBytesCurrentCount

    public long getBytesCurrentCount()

  Returns the number of bytes received by this durable subscriber.

  Returns:
    The bytesCurrentCount value

### purge

    public void purge()

  Purges all the pending and current messages for this durable subscriber.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD